| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::DorisFile Class Reference

Class for reading/writing DORIS navigator files. More...

Inheritance diagram for EECFI::DorisFile:

List of all members.

## Public Member Functions
| DorisFile (string fileNam)
| Empty constructor.
| DorisFile (string fileNam, DorisHeader &fhr, vector< OsvRec > &osvRecEF, vector< OsvRec > &osvRecJ, double leapTim, int leapSig, long absOrbi, long relOrbi)
| Constructor with parameters.
| ~DorisFile ()
| Destructor.
void | read (const bool interpolFlag) throw (CfiError)
| Read the whole file (DORIS header is not read).
void | read (const bool interpolFlag, const double time0, const double time1) throw (CfiError)
| Read the file between 2 given times (DORIS header is not read).
void | readHeader () throw (CfiError)
| Read DORIS header.
void | write (string fileNam) throw (CfiError)
| Write the file with the data in the object.
void | write (string fileNam, DorisHeader &fhr, vector< OsvRec > &osvRecEF, vector< OsvRec > &osvRecJ, double leapTim, int leapSig, long absOrbi, long relOrbi) throw (CfiError)
| Write the file with all the parameters.
## Public Attributes
long | fileType
| file type (XDDORISFileTypeEnum) (AN-524)
DorisHeader * | header
| DORIS header.
vector< OsvRec > | osvRec
| Vector of state vectors in EF.
vector< OsvRec > | osvRecJ2
| Vector of state vectors in J2000.
double | leapTime
| Time for the leap second.
int | leapSign
| Sign of the leap second.
long | absOrbit
| First absolute orbit number.
long | relOrbit
| First relative orbit number.

## Detailed Description

Class for reading/writing DORIS navigator files.

## Constructor & Destructor Documentation

EECFI::DorisFile::DorisFile | ( | string | fileNam | ) |

Empty constructor.

Parameters:

  | fileNam | Name of the file we want to read.

References header.

EECFI::DorisFile::DorisFile | ( | string | fileNam,
|  | DorisHeader & | fhr,
|  | vector< OsvRec > & | osvRecEF,
|  | vector< OsvRec > & | osvRecJ,
|  | double | leapTim,
|  | int | leapSig,
|  | long | absOrbi,
|  | long | relOrbi |
| ) |  |  |

Constructor with parameters.

Parameters:

  | fileNam | Name of the file we want to write.
  | fhr | DORIS header.
  | osvRecEF | Vector of state vectors in EF.
  | osvRecJ | Vector of state vectors in J2000.
  | leapTim | Time for the leap second.
  | leapSig | Sign of the leap second.
  | absOrbi | First absolute orbit number.
  | relOrbi | First relative orbit number.

References absOrbit, header, leapSign, leapTime, osvRec, osvRecJ2, and relOrbit.

EECFI::DorisFile::~DorisFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader, header, osvRec, and osvRecJ2.

## Member Function Documentation

void EECFI::DorisFile::read | ( | const bool | interpolFlag | ) | throw (CfiError)

Read the whole file (DORIS header is not read).

Parameters:

  | interpolFlag | Flag to indicate if interpolation is used.

void EECFI::DorisFile::read | ( | const bool | interpolFlag,
|  | const double | time0,
|  | const double | time1 |
| ) |  |  | throw (CfiError)

Read the file between 2 given times (DORIS header is not read).

Parameters:

  | interpolFlag | Flag to indicate if interpolation is used.
  | time0 | Start time for the requested time window.
  | time1 | Stop time for the requested time window.

void EECFI::DorisFile::readHeader | ( |  | ) | throw (CfiError)

Read DORIS header.

Reimplemented from EECFI::EEFile.

References EECFI::EEFile::fileName, header, and EECFI::CfiClass::throwWarn.

void EECFI::DorisFile::write | ( | string | fileNam | ) | throw (CfiError)

Write the file with the data in the object.

Parameters:

  | fileNam | Name of the file we want to write.

void EECFI::DorisFile::write | ( | string | fileNam,
|  | DorisHeader & | fhr,
|  | vector< OsvRec > & | osvRecEF,
|  | vector< OsvRec > & | osvRecJ,
|  | double | leapTim,
|  | int | leapSig,
|  | long | absOrbi,
|  | long | relOrbi |
| ) |  |  | throw (CfiError)

Write the file with all the parameters.

Parameters:

  | fileNam | Name of the file we want to write.
  | fhr | DORIS header.
  | osvRecEF | Vector of state vectors in EF.
  | osvRecJ | Vector of state vectors in J2000.
  | leapTim | Time for the leap second.
  | leapSig | Sign of the leap second.
  | absOrbi | First absolute orbit number.
  | relOrbi | First relative orbit number.

## Member Data Documentation

long EECFI::DorisFile::absOrbit

First absolute orbit number.

Referenced by DorisFile().

long EECFI::DorisFile::fileType

file type (XDDORISFileTypeEnum) (AN-524)

Reimplemented from EECFI::EEFile.

DorisHeader* EECFI::DorisFile::header

DORIS header.

Referenced by DorisFile(), readHeader(), and ~DorisFile().

int EECFI::DorisFile::leapSign

Sign of the leap second.

Referenced by DorisFile().

double EECFI::DorisFile::leapTime

Time for the leap second.

Referenced by DorisFile().

vector<OsvRec> EECFI::DorisFile::osvRec

Vector of state vectors in EF.

Referenced by DorisFile(), and ~DorisFile().

vector<OsvRec> EECFI::DorisFile::osvRecJ2

Vector of state vectors in J2000.

Referenced by DorisFile(), and ~DorisFile().

long EECFI::DorisFile::relOrbit

First relative orbit number.

Referenced by DorisFile().